Last modified: 2013-03-29 16:38:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 19850 - Wikimedia foundation donation contributionHistory links break
Wikimedia foundation donation contributionHistory links break
Status: RESOLVED WONTFIX
Product: Wikimedia
Classification: Unclassified
Fundraising (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://wikimediafoundation.org/w/inde...
:
Depends on: 46699
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-21 03:11 UTC by SJ
Modified: 2013-03-29 16:38 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description SJ 2009-07-21 03:11:27 UTC
Here are two examples of views of contributionHistory that refuse to go further back in time (the 'earlier' link does nothing):
http://wikimediafoundation.org/w/index.php?title=Special:ContributionHistory&offset=1241481600
http://wikimediafoundation.org/w/index.php?title=Special:ContributionHistory&offset=1239580800

In each case, url-hacking by decrementing the offset works.
Comment 1 Peter Gehres 2012-08-23 18:30:57 UTC
Looks like https://wikimediafoundation.org/wiki/Special:FundraiserStatistics has long since replaced that page.  And since its working (at the moment), resolving.
Comment 2 Nemo 2012-08-23 19:52:56 UTC
It didn't replace it, Special:ContributionHistory was disabled because of performance reasons (it almost brought wikis down) and never re-enabled after that, if I remember correctly.
But yes, as long as there are no plans to re-enable it this bug makes no sense obviously.
Comment 3 Nemo 2012-09-23 21:43:59 UTC
(From bug 26026 comment #4)
> Bug 25440 is about providing an API module for Special:ContributionHistory (or
> Special:ContributionHistory/en more specifically). Tomasz added an "emergency"
> redirect in r76647 from Special:ContributionHistory(/en) to
> Special:FundraiserStatistics. This should be reversed.
> Special:ContributionHistory(/en) provides a log of donor comments and amounts.
> Bug 25440 is about adding an API module to allow easier bot/script access to
> donor comments.

I've added at note: https://wikimediafoundation.org/w/index.php?title=MediaWiki%3AContribstats-header&diff=84178&oldid=74773
Comment 4 Nemo 2013-03-29 16:36:09 UTC
(Quoting bug 25440 comment #5)
> ContributionHistory is no longer used.  Marking wontfix.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links